Author Topic: Linux version doesn't start  (Read 2314 times)

spook

  • Crewmate
  • *
  • Posts: 1
    • View Profile
Linux version doesn't start
« on: August 01, 2011, 03:48:59 am »
Downloaded the linux version of VVVVVV, and the launch script returns this error:

Code: [Select]
./VVVVVV_32: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by ./VVVVVV_32)
I'm clueless as to how to fix this.  Running Debian 5.

lotheac

  • Crewmate
  • *
  • Posts: 4
    • View Profile
Re: Linux version doesn't start
« Reply #1 on: August 01, 2011, 05:54:59 am »
You probably need to upgrade to squeeze. If you're feeling adventurous, you could try upgrading your libstdc++6 by compiling a newer gcc, but I wouldn't really recommend it.

Zenitur

  • Crewmate
  • *
  • Posts: 1
    • View Profile
Re: Linux version doesn't start
« Reply #2 on: August 04, 2011, 12:12:03 pm »
I have compiled this libraries. Compiled with AMD K8 (I think you will not have problems). Put it into lib32 directory: http://zenitur.narod.ru/VVVVVV_LIB32.tar.bz2. If you haven't sound, update your libSDL-mixer.

simoroth

  • Doctor
  • ***
  • Posts: 62
  • I made the VVVVVV C++ port.
    • View Profile
Re: Linux version doesn't start
« Reply #3 on: August 05, 2011, 02:53:52 am »
I've just sent Terry a .deb package, that should be up in the bundle by tomorrow.

Hopefully it will save everyone from any more library problems on Debian forks. :)